# Account

## Get a list of current subscriptions.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/account/subscription-list.json`

Retrieve a list of subscriptions related to the currently logged in account.

<https://app.halosecurity.com/user/account/subscriptions>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "companyId": 12345,
    "subscriptions": [
        {
            "renewFrequency": "Year",
            "siteCount": 0,
            "product": 3,
            "dateCreated": "2022-03-14 18:38",
            "dateRenew": "2023-03-14",
            "price": "$0",
            "siteIds": [],
            "subscriptionId": 1234
        }
    ],
    "success": 1
}
```

{% endtab %}
{% endtabs %}

## Get information about a particular subscription.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/account/subscription-get.json`

#### Query Parameters

| Name                                              | Type    | Description            |
| ------------------------------------------------- | ------- | ---------------------- |
| subscrption\_id<mark style="color:red;">\*</mark> | integer | ID of the subscription |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "subscription": {
        "subscription_id": 12345,
        "product": 3,
        "amount": "0.00",
        "partner": 0,
        "renew_date": "2023-03-14",
        "renew_frequency": 2,
        "description": "Example",
        "detail": "1000x Target<br>100x Application Scanning<br>100x Server Scanning<br>Compliance Reporting<br>"
    }
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 0,
    "message": "subscription not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
